<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Reports">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Customizing Standard Reports</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#16-reports/customizing-standard-reports.html">Open topic with navigation</a>
        </p>
        <h1><a name="top"></a>Customizing Standard Reports</h1>
        <p>A standard report is based on a Metasploit report template, which controls the look and feel of the report.  All reports have a cover page and include a set of options that enable you to manage the report data. You can customize some parts of a standard report, such as the logo and sections of content that appear in the report.</p>
        <p>If you want to modify the layout of the report, you will need to use a custom template. For more information on custom templates, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="working-custom-templates.html" class="online MCXref xref xrefonline">Working with Custom Templates</a></MadCap:conditionalText>.</p>
        <h2><a name="Excludin"></a>Excluding Report Sections</h2>
        <p>A report is made up of multiple sections. Each section divides the report content into distinct areas of information. </p>
        <p>When you view the New Report form, you will see the sections that are available for the report you have selected. By default, all sections will be selected. If you want the report to only show certain sections of a report, you can exclude sections from the report. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-deselect-sections_231x154.png" style="width: 231;height: 154;" />
        </p>
        <p style="text-align: left;">To exclude specific sections, you can deselect the sections you do not want to appear in the report. </p>
        <p>When you generate the report, you will not see the excluded sections in the report. Additionally, the report will only show content for the sections for which it has data. </p>
        <p>For more information on report sections, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="report-types.html#Understa" class="online MCXref xref xrefonline">Understanding Report Types</a></MadCap:conditionalText>. </p>
        <h2><a name="Excludin2"></a>Excluding and Including Hosts from Reports</h2>
        <p>When you generate a report, Metasploit Pro automatically includes data from all hosts in the project. If you want to limit the data to a particular set of hosts, you can create an inclusion or exclusion list. </p>
        <h3>Creating Inclusion Lists </h3>
        <p>An inclusion list defines the hosts that you want to include in a report. Only the data for the hosts that you have explicitly defined will be displayed in the report.</p>
        <p>You create an inclusion list from the New Report form . Use the <b class="UISelection">Included addresses</b> field to define the specific hosts you want to include in the report. You can enter a single IP address, an address range, or a CIDR notation. If there are multiple addresses or address ranges, use a newline to separate each entry.</p>
        <p>
            <img src="../Resources/Images/reports-refactor/reports-included-addresses_580x178.png" style="width: 580;height: 178;" />
        </p>
        <h3>Creating Exclusion Lists</h3>
        <p>An exclusion list defines the hosts that you do not want to include in a report. The report  will include data for all of the hosts in the project, except for the ones that you have defined in the exclusion list. </p>
        <p>You create an exclusion list from the report generation form. Use the <b class="UISelection">Excluded addresses</b> field to define the specific hosts you want to exclude from the report. You can enter a single IP address, an address range, or a CIDR notation. If there are multiple addresses or address ranges, use a newline to separate each entry.</p>
        <p style="font-style: italic;">
            <img src="../Resources/Images/reports-refactor/reports-excluded-addresses_573x181.png" style="width: 573;height: 181;" />
        </p>
        <h2><a name="Masking"></a>Masking Credentials from Reports</h2>
        <p>You can mask credentials if you do not want to include the plain text passwords and hashes in the Audit, Authentication Tokens, FISMA, and PCI reports.</p>
        <p>To mask credentials from a report, you need to select the credential masking option on the  New Report form. Select the <b class="UISelection">Mask discovered credentials</b> option to enable credential masking in your report. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-mask-passwords_224x81.png" style="width: 224;height: 81;" />
        </p>
        <p>When the masking option is enabled, the reports will not display plaintext credentials. For example, when you view the generated Audit report, the Compromised Credentials section only shows the host addresses, services, and user names that were discovered. The password, hash, and key fields are blank.</p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-masked-passwords_509x93.png" style="width: 509;height: 93;" />
        </p>
        <p>Other reports, such as the PCI and FISMA reports, replace all credentials with <code class="usertype">&lt;blank&gt;</code>. </p>
        <h2>Removing Charts from Reports</h2>
        <p>Charts visually present numerical data. They are  effective when you use to them present and compare large sets of information. You can include them in a report to simplify quantitative data and to highlight trends in your findings. <span class="VariablesProductName">Metasploit Pro</span> reports mostly use pie charts to illustrate how data is distributed across different categories. </p>
        <p>Most reports, with the exception of the FISMA,&#160;PCI,&#160;Social Engineering, Web Application Assessment, and Activity reports, have the option to include charts. By default, this option is enabled, so charts  will be automatically generated for applicable reports. If you do not want to include charts  in your report, you can disable the charts and graphs option. </p>
        <p>To exclude charts and graphs from a report, deselect the <b class="UISelection">Include charts and graphs</b> option. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-include-charts_580x83.png" style="width: 580;height: 83;" />
        </p>
        <h2>Including Web Page HTML in Social Engineering Reports</h2>
        <p>The Social Engineering Report presents the findings and data for a particular campaign. It contains the details for the campaign components that you used to build the campaign, such as the target list, e-mail, and web pages used. </p>
        <p>The raw content for the target list and e-mail will automatically be included in the report. If you want to include the raw content for the web pages, you will need to enable the <b class="UISelection">Include web page HTML</b> option. If enabled, this option includes the HTML for each web page used in the campaign. A preview of the web page will render in the report if the web page was used as part of a campaign. </p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>If the web page delivered malicious code, such as a client-side exploit, Java applet, or executable file, a preview will not be rendered for the web page. </p>
        <p>If you want to include the raw HTML that was used to create a web page and a preview of the web page, you can select the <b class="UISelection">Include web page HTML</b> option on the New Report form. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-include-webpage-html_580x43.png" style="width: 580;height: 43;" />
        </p>
        <h2><a name="Customiz"></a>Customizing Report Names</h2>
        <p><span class="VariablesProductName">Metasploit Pro</span> uses the following naming convention for report names: <code class="usertype">&lt;report type&gt;-&lt;timestamp&gt;</code>. The report name appears in the Reports list. </p>
        <p>You can change the name by replacing the default name in the <b class="UISelection">Report Name</b> field on the New Report form. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-name_577x49.png" style="width: 577;height: 49;" />
        </p>
        <h2><a name="Adding"></a>Adding a Custom Logo to a Report</h2>
        <p>All reports include a cover page that displays the title, logo, and timestamp. The cover page displays the Rapid7 image as the default logo on all reports. </p>
        <p>If you want to replace the default logo, you can upload a JPG, GIF, or PNG file. The uploaded logo can be used to  brand a report with your organization's identity. The logo appears in the right side of the cover page and replaces the default Rapid7 logo. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-cover_264x339.png" style="width: 264;height: 339;" />
        </p>
        <h3>Logo Requirements</h3>
        <p>The logo area on the cover page is 320 x 320 pixels. You can upload an image that is larger than the logo area, but the logo will be resized to fit the cover page. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-cover-logo-area_244x284.png" style="width: 244;height: 284;" />
        </p>
        <p>If the image is larger than the logo area, the height of the image will be preserved, but the width will be resized. </p>
        <h3>Uploading a Custom Logo</h3>
        <ol>
            <li value="1">Open the project that you want to upload the logo to. <br /></li>
            <li value="2">Select <b class="UISelection">Reports &gt;&#160;Create Custom Report</b> from the Project tab bar. <br /><br />The <b class="UISelection">Reports</b> page appears.</li>
            <li value="3">Find the <b class="UISelection">Custom Report Collateral</b> area. <br /><br /><img src="../Resources/Images/reports/reports-custom-collateral-area_533x150.png" title="Custom collateral" alt="Custom collateral" style="width: 533;height: 150;" /></li>
            <li value="4">Click the <b class="UISelection">Upload Custom Report Collateral</b> button. <br /><br /><img src="../Resources/Images/reports/reports-upload-collateral-button_532x150.png" title="Upload collateral button" alt="Upload collateral button" style="width: 532;height: 150;" /><br /><br />The Upload window appears. </li>
            <li value="5">Click the <b class="UISelection">Choose File</b> button. <br /><br /><img src="../Resources/Images/reports/reports-upload-collateral-window_233x90.png" title="New custom resource window" alt="New custom resource window" style="width: 233;height: 90;" /><br /><br />The Open dialog window appears. <br /></li>
            <li value="6">Browse to the location of the logo file. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>You can upload a GIF, JPEG, JPG, or PNG file.</p>
        <ol data-mc-continue="true">
            <li value="7">Select the logo file and click the <b class="UISelection">Open</b> button. </li>
            <li value="8">Enter a name for the file in the <b class="UISelection">Descriptive Name</b> field. (Optional)<br /><br /><img src="../Resources/Images/reports/reports-custom-resource-name_270x104.png" title="New custom resource window" alt="New custom resource window" style="width: 270;height: 104;" /><br /><br />If you do not specify a name, the Custom Report&#160;Collateral area shows the original file name. </li>
            <li value="9">Click the <b class="UISelection">Upload</b> button. <br /><br />The file appears under the Custom Report Collateral area. <br /></li>
        </ol>
        <h3>Adding a Custom Logo to a Standard Report
</h3>
        <p>To use a custom logo on the report's cover page,  you need to click the <b class="UISelection">Custom report logo</b> dropdown on the New Report form and select the image you want to use. The dropdown will show the logos that have been uploaded to the project. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-custom-logo_579x47.png" style="width: 579;height: 47;" />
        </p>
        <p>If the project does not contain any logos, the New Report form will display a link to the Custom Reports page where you can upload your logo. </p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports-refactor/reports-cover-logo-none_583x33.png" style="width: 583;height: 33;" />
        </p>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="About Reports |about-reports.html||Exporting Data|exporting-project-data.html||Generating, Downloading, Viewing, E-mailing, Cloning and Deleting Reports|generating-downloading-viewing-sharing-reports.html||Metasploit Report Types|report-types.html||Working with Custom Templates|working-custom-templates.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>